import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationPanel.less';


const block = purebem.of('foundation-new-panel');

const FoundationPanel = React.createClass({

    propTypes: {
        children: PropTypes.node,
        type: PropTypes.oneOf([
            'default',
            'error',
            'informative',
            'transparent'
        ])
    },

    getDefaultProps() {
        return {
            children: null,
            type: 'default'
        };
    },

    render() {
        const { children, type } = this.props;
        return (
            <div className={ block({ type }) }>
                { children }
            </div>
        );
    }

});

export default FoundationPanel;
