import test from 'tape';

import getHighlightedIndex from './getHighlightedIndex';


test('no options', (t) => {
    const options = [];
    const value = '';

    const result = getHighlightedIndex({ options, value });
    t.is(result, -1);

    t.end();
});

test('options with empty values', (t) => {
    const options = [{}, {}];
    const value = void(0);

    const result = getHighlightedIndex({ options, value });
    t.is(result, -1);

    t.end();
});

test('options with no match', (t) => {
    const options = [{ value: '1' }, { value: '2' }];
    const value = '3';

    const result = getHighlightedIndex({ options, value });
    t.is(result, -1);

    t.end();
});

test('options with match', (t) => {
    const options = [{ value: '1' }, { value: '2' }];
    const value = '2';

    const result = getHighlightedIndex({ options, value });
    t.is(result, 1);

    t.end();
});
