import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { connect } from 'react-redux';
import invariant from 'invariant';

import { hide } from './redux/actions';


export default ({
    Component
} = {}) => {

    invariant(Component !== undefined, 'Missing MessageBar component.');

    const Container = React.createClass({

        displayName: `${Component.displayName}Container`,

        mixins: [PureRenderMixin],

        render() {
            return (
                <Component { ...this.props } />
            );
        }

    });

    const mapStateToProps = (state) => {
        return {
            messages: state.messages.entries
        };
    };

    const mapDispatchToProps = (dispatch) => {
        return {
            onMessageHide: ({ timeoutId, timestamp }) => dispatch(hide({ timeoutId, timestamp }))
        };
    };

    return connect(mapStateToProps, mapDispatchToProps)(Container);

};
